Retrieves a user week approval with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "37b70e1d-9da5-4ee2-9f0e-d60a0d0cb232",
"user_id": "cb3fbb75-ca93-4043-834a-9b24b34a91a0",
"approved_date_start": "2026-04-25T06:02:30.7424404+00:00",
"approved_date_end": "2026-04-25T06:02:30.7424404+00:00",
"date_approval": "2026-04-25T06:02:30.7424404+00:00",
"is_approved": true,
"approved_by_user_id": "145e9035-e089-4a47-a4d8-feb8a4279b0f",
"modified_dateutc": "2026-04-25T06:02:30.7424404+00:00"
}